<div ng-include="'navbar.html'"></div>
<style type="text/css">
textarea {
    resize: none;
}

.Switch {
    position: relative;
    width: 59px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.Switch-checkbox {
    display: none;
}

.Switch-label {
    display: block;
    overflow: hidden;
    cursor: pointer;
    border: 2px solid #E3E3E3;
    border-radius: 36px;
}

.Switch-inner {
    display: block;
    width: 200%;
    margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
}

.Switch-inner:before,
.Switch-inner:after {
    display: block;
    float: left;
    width: 50%;
    height: 21px;
    padding: 0;
    line-height: 21px;
    font-size: 13px;
    color: white;
    font-family: Trebuchet, Arial, sans-serif;
    font-weight: bold;
    box-sizing: border-box;
}

.Switch-inner:before {
    content: "SI";
    padding-left: 12px;
    background-color: #F78F16;
    color: #FCF9F9;
}

.Switch-inner:after {
    content: "NO";
    padding-right: 12px;
    background-color: #FFFFFF;
    color: #7A7676;
    text-align: right;
}

.Switch-switch {
    display: block;
    width: 20px;
    margin: 2px;
    background: #9A9A9A;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 34px;
    border: 2px solid #E3E3E3;
    border-radius: 36px;
    transition: all 0.3s ease-in 0s;
}

.Switch-checkbox:checked+.Switch-label .Switch-inner {
    margin-left: 0;
}

.Switch-checkbox:checked+.Switch-label .Switch-switch {
    right: 0px;
}
</style>
<div class="content" ng-controller="ConsultorioController as control" style="margin-top: 3em;">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-6 col-md-offset-3" ng-init="control.cargarTipoIdentificacion();control.cargarEstadoCivil();control.cargarSexo()">
                <div class="card card-wizard" id="wizardCard">
                    <form id="wizardForm" ng-submit="control.guardar()">
                        <div class="header text-center">
                            <h3 class="title">Realiza tu consulta</h3>
                            <p class="category">Sigue los pasos y completa el formulario</p>
                        </div>
                        <div class="content">
                            <ul class="nav">
                                <li><a href="#tab1" data-toggle="tab">Paso 1</a></li>
                                <li><a href="#tab2" data-toggle="tab">Paso 2</a></li>
                                <li><a href="#tab3" data-toggle="tab">Final</a></li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane" id="tab1">
                                    <h5 class="text-center">Información personal.</h5>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Tipo de identificación:
                                                    <star>*</star>
                                                </label>
                                                <select class="form-control" ng-model="control.datos.tipo_identificacion" name="tipo_identificacion" required>
                                                    <option value selected>Tipo de identificación</option>
                                                    <option ng-repeat="item in control.tipos track by $index">{{item.tipo}}</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label class="control-label">Identificación:
                                                    <star>*</star>
                                                </label>
                                                <input maxlength="12" class="form-control" type="Number" ng-model="control.datos.identificacion" name="identificacion" placeholder="Identificación" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-10 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Nombre completo:
                                                    <star>*</star>
                                                </label>
                                                <input class="form-control" type="text" ng-model="control.datos.nombre" name="nombre" placeholder="Nombre" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Estado Civil:
                                                    <star>*</star>
                                                </label>
                                                <select class="form-control" ng-model="control.datos.estado_civil" name="estado_civil" required>
                                                    <option value selected>Estado civil</option>
                                                    <option ng-repeat="item in control.estados track by $index">{{item.tipo}}</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label class="control-label">Sexo:
                                                    <star>*</star>
                                                </label>
                                                <select class="form-control" ng-model="control.datos.sexo" name="sexo" required>
                                                    <option value selected>Sexo</option>
                                                    <option ng-repeat="item in control.sexos track by $index">{{item.sexo}}</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Edad:
                                                    <star>*</star>
                                                </label>
                                                <input class="form-control" type="number" ng-model="control.datos.edad" name="edad" placeholder="Edad">
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label class="control-label">Estrato socioeconómico:
                                                    <star>*</star>
                                                </label>
                                                <select class="form-control" ng-model="control.datos.estrato" name="estrato" required>
                                                    <option value selected>Estrato</option>
                                                    <option value="1">1</option>
                                                    <option value="2">2</option>
                                                    <option value="3">3</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="category">
                                                <star>*</star> Campos requeridos
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane" id="tab2">
                                    <h5 class="text-center">Información de contacto.</h5>
                                    <div class="row">
                                        <div class="col-md-10 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Correo:
                                                    <star>*</star>
                                                </label>
                                                <input class="form-control" type="text" ng-model="control.datos.email" name="email" placeholder="Correo electronico" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-10 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Telefono:
                                                    <star>*</star>
                                                </label>
                                                <input class="form-control" type="text" ng-model="control.datos.telefono" name="telefono" placeholder="Telefono" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="form-group" ng-init="control.cargarDepartamentos();">
                                                <label class="control-label">Departamento:
                                                    <star>*</star>
                                                </label>
                                                <select class="form-control" ng-model="control.datos.departamento" ng-change="control.cargarMunicipios(control.datos.departamento)" name="departamento" required>
                                                    <option value selected>Departamento</option>
                                                    <option ng-repeat="item in control.departamentos track by $index" value="{{item.id_departamento}}">{{item.departamento}}</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-5">
                                            <div class="form-group">
                                                <label class="control-label">Municipio:
                                                    <star>*</star>
                                                </label>
                                                <select class="form-control" ng-model="control.datos.municipio" name="municipio" required>
                                                    <option value selected>Municipio</option>
                                                    <option ng-repeat="item in control.municipios track by $index">{{item.municipio}}</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-10 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Dirección:
                                                    <star>*</star>
                                                </label>
                                                <input class="form-control" type="text" ng-model="control.datos.direccion" name="direccion" placeholder="Dirección" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="category">
                                                <star>*</star> Campos Requeridos
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane" id="tab3">
                                    <h5 class="text-center">Información de consulta.</h5>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">
                                                    ¿Presenta condición de discapacidad?
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="Switch">
                                                <input type="checkbox" ng-model="control.datos.discapacidad" name="Switch" class="Switch-checkbox" id="mySwitch">
                                                <label class="Switch-label" for="mySwitch">
                                                    <span class="Switch-inner"></span>
                                                    <span class="Switch-switch"></span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row" ng-show="control.datos.discapacidad">
                                        <div class="col-md-4 col-md-offset-1">
                                            <select class="form-control" ng-model="control.datos.tipo_discapacidad" name="tipo_discapacidad" required>
                                                <option value="Movilidad">Movilidad</option>
                                                <option value="Sensorial auditiva">Sensorial auditiva</option>
                                                <option value="Sensorial visual">Sensorial visual</option>
                                                <option value="Sensorial gusto, olfato, tacto">Sensorial gusto, olfato, tacto</option>
                                                <option value="Sistémica">Sistémica</option>
                                                <option value="Mental cognitivo">Mental cognitivo</option>
                                                <option value="Mental pssicosocial">Mental pssicosocial</option>
                                                <option value="Voz y habla">Voz y habla</option>
                                                <option value="Piel, pelo y uñas">Piel, pelo y uñas</option>
                                                <option value="Otra">Otra</option>
                                            </select>
                                        </div>
                                        <div class="col-md-6" ng-show="control.datos.tipo_discapacidad=='Otra'">
                                            <input class="form-control" type="text" ng-model="control.datos.otra_discapacidad" name="otra_discapacidad" placeholder="Describa su discapacidad" />
                                        </div>
                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-10 col-md-offset-1">
                                            <div class="form-group">
                                                <label class="control-label">Escribe aqui tu consulta:
                                                    <star>*</star>
                                                </label>
                                                <textarea class="form-control" rows="5" name="consulta" ng-model="control.datos.consulta"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-5 col-md-offset-1">
                                            <div class="category">
                                                <star>*</star> Campos Requeridos
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="footer">
                            <div class="row">
                                <div class="col-md-10 col-md-offset-1">
                                    <button type="button" class="btn btn-warning btn-fill btn-wd btn-next pull-right">Siguiente</button>
                                    <button type="submit" class="btn btn-warning btn-fill btn-wd btn-finish pull-right">Registrar datos</button>
                                    <button type="button" class="btn btn-default btn-fill btn-wd btn-back pull-left">Regresar</button>
                                    <div class="text-center btn-login">
                                        <p class="category pull-left">Ya Tienes Cuenta?
                                            <br><a class="text-warning" href="Login.html">Inicia Sesión!</a></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
    $(function() {
        var $validator = $("#wizardForm").validate({
            rules: {
                tipo_identificacion: {
                    required: true
                },
                identificacion: {
                    required: true,
                    minlength: 5,
                    maxlength: 12
                },
                nombre: {
                    required: true,
                    minlength: 3
                },
                estrato: {
                    required: true
                },
                email: {
                    required: true,
                    minlength: 5,
                    email: true
                },
                telefono: {
                    required: true,
                    minlength: 4
                },
                direccion: {
                    required: true,
                    minlength: 4
                },
                departamento: {
                    required: true
                },
                municipio: {
                    required: true
                },
                estado_civil: {
                    required: true
                },
                edad: {
                    required: true
                },
                consulta: {
                    required: true
                },
                sexo: {
                    required: true
                }
            }
        });
        $('#wizardCard').bootstrapWizard({
            tabClass: 'nav nav-pills',
            nextSelector: '.btn-next',
            previousSelector: '.btn-back',
            onNext: function(tab, navigation, index) {
                var $valid = $('#wizardForm').valid();
                if (!$valid) {
                    $validator.focusInvalid();
                    return false;
                }
            },
            onInit: function(tab, navigation, index) {

                var $total = navigation.find('li').length;
                $width = 100 / $total;

                $display_width = $(document).width();

                if ($display_width < 600 && $total > 3) {
                    $width = 50;
                }

                navigation.find('li').css('width', $width + '%');
            },
            onTabClick: function(tab, navigation, index) {
                return false;
            },
            onTabShow: function(tab, navigation, index) {
                var $total = navigation.find('li').length;
                var $current = index + 1;

                var wizard = navigation.closest('.card-wizard');
                if ($current >= $total) {
                    $(wizard).find('.btn-next').hide();
                    $(wizard).find('.btn-finish').show();
                    $(wizard).find('.btn-login').hide();
                } else if ($current == 1) {
                    $(wizard).find('.btn-back').hide();
                    $(wizard).find('.btn-login').show();
                } else {
                    $(wizard).find('.btn-back').show();
                    $(wizard).find('.btn-next').show();
                    $(wizard).find('.btn-finish').hide();
                    $(wizard).find('.btn-login').hide();

                }
            }

        });

    });
    </script>